Bug 999214 - virtual machine with Nvidia 7600 GS (nouveau) hangs
virtual machine with Nvidia 7600 GS (nouveau) hangs
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 19:01 EDT by Cristian Ciupitu
Modified: 2013-10-08 12:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:13:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cristian Ciupitu 2013-08-20 19:01:06 EDT
Description of problem:
A Fedora 19 x86_64 virtual machine with a Nvidia 7600 GS video card freezes
when booting kernel-3.10.7-200.fc19.x86_64.  kernel-3.10.6-200.fc19.x86_64
boots fine.

The host runs Fedora 19 x86_64 with a bleeding edge version of libvirtd.  I
have used VFIO to assign the card to the guest.


Version-Release number of selected component (if applicable):
kernel-3.10.7-200.fc19.x86_64 (guest)
kernel-debug-3.10.7-200.fc19.x86_64 (host)
libvirt-daemon-1.1.1-2.fc19.x86_64 (host)
qemu-1.6.0-1.fc19.x86_64 (host)
seabios-1.7.3.1-1.fc19.noarch (host)
virt-manager-0.10.0-1.fc19.noarch (host)


How reproducible:
Every time


Steps to Reproduce:
1. Create a virtual machine
2. Assign a Nvidia 7600 GS video card to it (more details below)
3. Start the virtual machine


Actual results:
[root@hermes devices]# virsh start f19; virsh console f19
Domain f19 started

Connected to domain f19
Escape character is ^]
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Initializing cgroup subsys cpuacct
[    0.000000] Linux version 3.10.7-200.fc19.x86_64 (mockbuild@bkernel02) (gcc version 4.8.1 20130603 (Red Hat 4.8.1-1) (GCC) ) #1 SMP Thu Aug 15 23:19:45 UTC 2013
[    0.000000] Command line: BOOT_IMAGE=/vmlinuz-3.10.7-200.fc19.x86_64 root=UUID=881db1dc-efc2-43bb-8c83-915e449e9be5 ro rd.md=0 rd.lvm=0 rd.dm=0 vconsole.keymap=us rd.luks=0 vconsole.font=latarcyrheb-sun16 log_buf_len=4M nouveau.debug=trace console=ttyS0
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009fbff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009fc00-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000f0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000007fffdfff] usable
[    0.000000] BIOS-e820: [mem 0x000000007fffe000-0x000000007fffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000feffc000-0x00000000feffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fffc0000-0x00000000ffffffff] reserved
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] SMBIOS 2.4 present.
[    0.000000] Hypervisor detected: KVM
[    0.000000] No AGP bridge found
[    0.000000] e820: last_pfn = 0x7fffe max_arch_pfn = 0x400000000
[    0.000000] PAT not supported by CPU.
[    0.000000] found SMP MP-table at [mem 0x000f1820-0x000f182f] mapped at [ffff8800000f1820]
[    0.000000] init_memory_mapping: [mem 0x00000000-0x000fffff]
[    0.000000] init_memory_mapping: [mem 0x7fc00000-0x7fdfffff]
[    0.000000] init_memory_mapping: [mem 0x7c000000-0x7fbfffff]
[    0.000000] init_memory_mapping: [mem 0x00100000-0x7bffffff]
[    0.000000] init_memory_mapping: [mem 0x7fe00000-0x7fffdfff]
[    0.000000] log_buf_len: 4194304
[    0.000000] early log buf free: 258884(98%)
[    0.000000] RAMDISK: [mem 0x37016000-0x37802fff]
[    0.000000] ACPI: RSDP 00000000000f1690 00014 (v00 BOCHS )
[    0.000000] ACPI: RSDT 000000007fffe3f0 00034 (v01 BOCHS  BXPCRSDT 00000001 BXPC 00000001)
[    0.000000] ACPI: FACP 000000007fffff80 00074 (v01 BOCHS  BXPCFACP 00000001 BXPC 00000001)
[    0.000000] ACPI: DSDT 000000007fffe430 01137 (v01   BXPC   BXDSDT 00000001 INTL 20120913)
[    0.000000] ACPI: FACS 000000007fffff40 00040
[    0.000000] ACPI: SSDT 000000007ffff6a0 00899 (v01 BOCHS  BXPCSSDT 00000001 BXPC 00000001)
[    0.000000] ACPI: APIC 000000007ffff5b0 00080 (v01 BOCHS  BXPCAPIC 00000001 BXPC 00000001)
[    0.000000] ACPI: HPET 000000007ffff570 00038 (v01 BOCHS  BXPCHPET 00000001 BXPC 00000001)
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at [mem 0x0000000000000000-0x000000007fffdfff]
[    0.000000] Initmem setup node 0 [mem 0x00000000-0x7fffdfff]
[    0.000000]   NODE_DATA [mem 0x7fbea000-0x7fbfdfff]
[    0.000000] kvm-clock: Using msrs 4b564d01 and 4b564d00
[    0.000000] kvm-clock: cpu 0, msr 0:7fbe8001, boot clock
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x00001000-0x00ffffff]
[    0.000000]   DMA32    [mem 0x01000000-0xffffffff]
[    0.000000]   Normal   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00001000-0x0009efff]
[    0.000000]   node   0: [mem 0x00100000-0x7fffdfff]
[    0.000000] ACPI: PM-Timer IO Port: 0xb008
[    0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0xff] dfl dfl lint[0x1])
[    0.000000] ACPI: IOAPIC (id[0x00] address[0xfec00000] gsi_base[0])
[    0.000000] IOAPIC[0]: apic_id 0, version 17, address 0xfec00000, GSI 0-23
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 5 global_irq 5 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 10 global_irq 10 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 11 global_irq 11 high level)
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.000000] smpboot: Allowing 2 CPUs, 0 hotplug CPUs
[    0.000000] PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
[    0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000f0000
[    0.000000] PM: Registered nosave memory: 00000000000f0000 - 0000000000100000
[    0.000000] e820: [mem 0x80000000-0xfeffbfff] available for PCI devices
[    0.000000] Booting paravirtualized kernel on KVM
[    0.000000] setup_percpu: NR_CPUS:128 nr_cpumask_bits:128 nr_cpu_ids:2 nr_node_ids:1
[    0.000000] PERCPU: Embedded 28 pages/cpu @ffff88007f800000 s85440 r8192 d21056 u1048576
[    0.000000] kvm-clock: cpu 0, msr 0:7fbe8001, primary cpu clock
[    0.000000] KVM setup async PF for cpu 0
[    0.000000] kvm-stealtime: cpu 0, msr 7f80de40
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 515975
[    0.000000] Policy zone: DMA32
[    0.000000] Kernel command line: BOOT_IMAGE=/vmlinuz-3.10.7-200.fc19.x86_64 root=UUID=881db1dc-efc2-43bb-8c83-915e449e9be5 ro rd.md=0 rd.lvm=0 rd.dm=0 vconsole.keymap=us rd.luks=0 vconsole.font=latarcyrheb-sun16 log_buf_len=4M nouveau.debug=trace console=ttyS0
[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[    0.000000] Checking aperture...
[    0.000000] No AGP bridge found
[    0.000000] Memory: 2035004k/2097144k available (6445k kernel code, 392k absent, 61748k reserved, 6814k data, 1412k init)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=2, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU restricting CPUs from NR_CPUS=128 to nr_cpu_ids=2.
[    0.000000] NR_IRQS:8448 nr_irqs:512 16
[    0.000000] Console: colour VGA+ 80x25
[    0.000000] console [ttyS0] enabled
[    0.000000] allocated 8388608 bytes of page_cgroup
[    0.000000] please try 'cgroup_disable=memory' option if you don't want memory cgroups
[    0.000000] tsc: Detected 3392.294 MHz processor
[    0.003000] Calibrating delay loop (skipped) preset value.. 6784.58 BogoMIPS (lpj=3392294)
[    0.004004] pid_max: default: 32768 minimum: 301
[    0.005021] Security Framework initialized
[    0.006008] SELinux:  Initializing.
[    0.007135] Dentry cache hash table entries: 262144 (order: 9, 2097152 bytes)
[    0.008365] Inode-cache hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.010007] Mount-cache hash table entries: 256
[    0.011133] Initializing cgroup subsys memory
[    0.012009] Initializing cgroup subsys devices
[    0.013005] Initializing cgroup subsys freezer
[    0.014004] Initializing cgroup subsys net_cls
[    0.015006] Initializing cgroup subsys blkio
[    0.016004] Initializing cgroup subsys perf_event
[    0.017075] mce: CPU supports 10 MCE banks
[    0.018053] Last level iTLB entries: 4KB 0, 2MB 0, 4MB 0
[    0.018053] Last level dTLB entries: 4KB 0, 2MB 0, 4MB 0
[    0.018053] tlb_flushall_shift: 6
[    0.019172] Freeing SMP alternatives: 24k freed
[    0.023648] ACPI: Core revision 20130328
[    0.025595] ACPI: All ACPI Tables successfully acquired
[    0.027148] ftrace: allocating 24745 entries in 97 pages
[    0.035469] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.036002] smpboot: CPU0: Intel QEMU Virtual CPU version 1.6.0 (fam: 06, model: 02, stepping: 03)
[    0.041000] Performance Events: unsupported p6 CPU model 2 no PMU driver, software events only.
[    0.044285] NMI watchdog: disabled (cpu0): hardware events not enabled
[    0.046081] smpboot: Booting Node   0, Processors  #1 OK
[    0.003000] kvm-clock: cpu 1, msr 0:7fbe8041, secondary cpu clock
[    0.063060] Brought up 2 CPUs
[    0.063065] KVM setup async PF for cpu 1
[    0.063069] kvm-stealtime: cpu 1, msr 7f90de40
[    0.065002] smpboot: Total of 2 processors activated (13569.17 BogoMIPS)
[    0.068612] devtmpfs: initialized
[    0.070668] atomic64 test passed for x86-64 platform with CX8 and with SSE
[    0.073091] RTC time: 22:17:35, date: 08/20/13
[    0.074030] NET: Registered protocol family 16
[    0.076269] ACPI: bus type PCI registered
[    0.077002] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.079121] PCI: Using configuration type 1 for base access
[    0.082450] bio: create slab <bio-0> at 0
[    0.084080] ACPI: Added _OSI(Module Device)
[    0.085002] ACPI: Added _OSI(Processor Device)
[    0.087001] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.088002] ACPI: Added _OSI(Processor Aggregator Device)
[    0.092191] ACPI: Interpreter enabled
[    0.093004] ACPI Exception: AE_NOT_FOUND, While evaluating Sleep State [\_S1_] (20130328/hwxface-568)
[    0.096003] ACPI Exception: AE_NOT_FOUND, While evaluating Sleep State [\_S2_] (20130328/hwxface-568)
[    0.099749] ACPI: (supports S0 S3 S4 S5)
[    0.101002] ACPI: Using IOAPIC for interrupt routing
[    0.102022] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.105029] ACPI: No dock devices found.
[    0.108531] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.110056] acpi PNP0A03:00: fail to add MMCONFIG information, can't access extended PCI configuration space under this bridge.
[    0.112181] acpiphp: Slot [3] registered
[    0.114027] acpiphp: Slot [4] registered
[    0.115024] acpiphp: Slot [5] registered
[    0.116031] acpiphp: Slot [6] registered
[    0.118024] acpiphp: Slot [7] registered
[    0.119024] acpiphp: Slot [8] registered
[    0.121028] acpiphp: Slot [9] registered
[    0.122032] acpiphp: Slot [10] registered
[    0.123023] acpiphp: Slot [11] registered
[    0.125026] acpiphp: Slot [12] registered
[    0.126021] acpiphp: Slot [13] registered
[    0.127021] acpiphp: Slot [14] registered
[    0.129022] acpiphp: Slot [15] registered
[    0.130021] acpiphp: Slot [16] registered
[    0.131026] acpiphp: Slot [17] registered
[    0.132023] acpiphp: Slot [18] registered
[    0.134020] acpiphp: Slot [19] registered
[    0.135021] acpiphp: Slot [20] registered
[    0.136020] acpiphp: Slot [21] registered
[    0.138022] acpiphp: Slot [22] registered
[    0.139020] acpiphp: Slot [23] registered
[    0.140021] acpiphp: Slot [24] registered
[    0.141028] acpiphp: Slot [25] registered
[    0.143026] acpiphp: Slot [26] registered
[    0.144024] acpiphp: Slot [27] registered
[    0.145025] acpiphp: Slot [28] registered
[    0.147032] acpiphp: Slot [29] registered
[    0.148025] acpiphp: Slot [30] registered
[    0.149028] acpiphp: Slot [31] registered
[    0.150017] PCI host bridge to bus 0000:00
[    0.152006] pci_bus 0000:00: root bus resource [bus 00-ff]
[    0.154004] pci_bus 0000:00: root bus resource [io  0x0000-0x0cf7]
[    0.155004] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff]
[    0.157002] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff]
[    0.159002] pci_bus 0000:00: root bus resource [mem 0x80000000-0xfebfffff]
[    0.175711] pci 0000:00:01.3: quirk: [io  0xb000-0xb03f] claimed by PIIX4 ACPI
[    0.177020] pci 0000:00:01.3: quirk: [io  0xb100-0xb10f] claimed by PIIX4 SMB
[    0.269750] acpi PNP0A03:00: ACPI _OSC support notification failed, disabling PCIe ASPM
[    0.271002] acpi PNP0A03:00: Unable to request _OSC control (_OSC support mask: 0x08)
[    0.273255] ACPI: PCI Interrupt Link [LNKA] (IRQs 5 *10 11)
[    0.277128] ACPI: PCI Interrupt Link [LNKB] (IRQs 5 *10 11)
[    0.279490] ACPI: PCI Interrupt Link [LNKC] (IRQs 5 10 *11)
[    0.281542] ACPI: PCI Interrupt Link [LNKD] (IRQs 5 10 *11)
[    0.283309] ACPI: PCI Interrupt Link [LNKS] (IRQs *9)
[    0.285382] ACPI: Enabled 16 GPEs in block 00 to 0F
[    0.287192] vgaarb: device added: PCI:0000:00:02.0,decodes=io+mem,owns=io+mem,locks=none
[    0.289022] vgaarb: device added: PCI:0000:00:09.0,decodes=io+mem,owns=io+mem,locks=none
[    0.291001] vgaarb: loaded
[    0.292001] vgaarb: bridge control possible 0000:00:09.0
[    0.293001] vgaarb: no bridge control possible 0000:00:02.0
[    0.295100] SCSI subsystem initialized
[    0.295907] ACPI: bus type ATA registered
[    0.297062] ACPI: bus type USB registered
[    0.298015] usbcore: registered new interface driver usbfs
[    0.300008] usbcore: registered new interface driver hub
[    0.302030] usbcore: registered new device driver usb
[    0.304064] PCI: Using ACPI for IRQ routing
[    0.306059] NetLabel: Initializing
[    0.307002] NetLabel:  domain hash size = 128
[    0.307899] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.309010] NetLabel:  unlabeled traffic allowed by default
[    0.310057] HPET: 3 timers in total, 0 timers will be used for per-cpu timer
[    0.312026] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
[    0.314178] hpet0: 3 comparators, 64-bit 100.000000 MHz counter
[    0.323049] Switching to clocksource kvm-clock
[    0.328394] pnp: PnP ACPI init
[    0.329377] ACPI: bus type PNP registered
[    0.331167] pnp: PnP ACPI: found 6 devices
[    0.332529] ACPI: bus type PNP unregistered
[    0.345200] NET: Registered protocol family 2
[    0.347282] TCP established hash table entries: 16384 (order: 6, 262144 bytes)
[    0.349684] TCP bind hash table entries: 16384 (order: 6, 262144 bytes)
[    0.351927] TCP: Hash tables configured (established 16384 bind 16384)
[    0.354132] TCP: reno registered
[    0.355368] UDP hash table entries: 1024 (order: 3, 32768 bytes)
[    0.357678] UDP-Lite hash table entries: 1024 (order: 3, 32768 bytes)
[    0.359846] NET: Registered protocol family 1
[    0.361314] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[    0.363790] pci 0000:00:01.0: PIIX3: Enabling Passive Release
[    0.366120] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[    0.368426] ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 11
[    0.371445] Unpacking initramfs...
[    0.458658] Freeing initrd memory: 8116k freed
[    0.462007] Initialise system trusted keyring
[    0.463654] audit: initializing netlink socket (disabled)
[    0.465473] type=2000 audit(1377037055.465:1): initialized
[    0.482113] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.485653] VFS: Disk quotas dquot_6.5.2
[    0.487041] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.489445] msgmni has been set to 3990
[    0.492809] alg: No test for stdrng (krng)
[    0.494230] NET: Registered protocol family 38
[    0.495652] Key type asymmetric registered
[    0.497186] Asymmetric key parser 'x509' registered
[    0.498885] Asymmetric key parser 'pefile' registered
[    0.500526] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
[    0.503830] io scheduler noop registered
[    0.505849] io scheduler deadline registered
[    0.508276] io scheduler cfq registered (default)
[    0.509905] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.511657] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    0.513761] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
[    0.515991] ACPI: Power Button [PWRF]
[    0.517508] GHES: HEST is not enabled!
[    0.518804] ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 10
[    0.529430] ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 10
[    0.532398] ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 11
[    0.536651] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    0.562397] 00:04: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    0.614782] Non-volatile memory driver v1.3
[    0.616136] Linux agpgart interface v0.103
[    0.618401] loop: module loaded
[    0.620847] scsi0 : ata_piix
[    0.621905] scsi1 : ata_piix
[    0.622856] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc260 irq 14
[    0.625010] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc268 irq 15
[    0.627172] libphy: Fixed MDIO Bus: probed
[    0.628931] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.631079] ehci-pci: EHCI PCI platform driver
[    0.632499] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.634447] uhci_hcd: USB Universal Host Controller Interface driver
[    0.638106] uhci_hcd 0000:00:01.2: UHCI Host Controller
[    0.639947] uhci_hcd 0000:00:01.2: new USB bus registered, assigned bus number 1
[    0.642416] uhci_hcd 0000:00:01.2: irq 11, io base 0x0000c1c0
[    0.644266] usb usb1: New USB device found, idVendor=1d6b, idProduct=0001
[    0.648390] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.651272] usb usb1: Product: UHCI Host Controller
[    0.653240] usb usb1: Manufacturer: Linux 3.10.7-200.fc19.x86_64 uhci_hcd
[    0.655489] usb usb1: SerialNumber: 0000:00:01.2
[    0.657215] hub 1-0:1.0: USB hub found
[    0.658468] hub 1-0:1.0: 2 ports detected
[    0.660018] usbcore: registered new interface driver usbserial
[    0.662401] usbcore: registered new interface driver usbserial_generic
[    0.664546] usbserial: USB Serial support registered for generic
[    0.666568] i8042: PNP: PS/2 Controller [PNP0303:KBD,PNP0f13:MOU] at 0x60,0x64 irq 1,12
[    0.670834] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.673049] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.675153] mousedev: PS/2 mouse device common for all mice
[    0.677761] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input1
[    0.683897] rtc_cmos 00:00: RTC can wake from S4
[    0.686387] rtc_cmos 00:00: rtc core: registered rtc_cmos as rtc0
[    0.689186] rtc_cmos 00:00: alarms up to one day, 114 bytes nvram, hpet irqs
[    0.691705] device-mapper: uevent: version 1.0.3
[    0.693574] device-mapper: ioctl: 4.24.0-ioctl (2013-01-15) initialised: dm-devel@redhat.com
[    0.696511] cpuidle: using governor ladder
[    0.697895] cpuidle: using governor menu
[    0.699242] hidraw: raw HID events driver (C) Jiri Kosina
[    0.701174] usbcore: registered new interface driver usbhid
[    0.703658] usbhid: USB HID core driver
[    0.705420] drop_monitor: Initializing network drop monitor service
[    0.707505] ip_tables: (C) 2000-2006 Netfilter Core Team
[    0.709325] TCP: cubic registered
[    0.710471] Initializing XFRM netlink socket
[    0.712072] NET: Registered protocol family 10
[    0.713758] mip6: Mobile IPv6
[    0.714755] NET: Registered protocol family 17
[    0.716472] Loading compiled-in X.509 certificates
[    0.718972] Loaded X.509 cert 'Fedora kernel signing key: 61316c3f77678692a3c73bd1634541517807962b'
[    0.722086] registered taskstats version 1
[    0.724266]   Magic number: 9:569:300
[    0.725716] rtc_cmos 00:00: setting system clock to 2013-08-20 22:17:36 UTC (1377037056)
[    0.781981] Freeing unused kernel memory: 1412k freed
[    0.783998] Write protecting the kernel read-only data: 12288k
[    0.788807] Freeing unused kernel memory: 1736k freed
[    0.792710] Freeing unused kernel memory: 1284k freed
[    0.797827] systemd[1]: systemd 204 running in system mode. (+PAM +LIBWRAP +AUDIT +SELINUX +IMA +SYSVINIT +LIBCRYPTSETUP +GCRYPT +ACL +XZ)
[    0.802215] systemd[1]: Detected virtualization 'kvm'.
[    0.803994] systemd[1]: Running in initial RAM disk.

Welcome to Fedora 19 (Schrödinger’s Cat) dracut-029-2.fc19 (Initramfs)!

[    0.808866] systemd[1]: Set hostname to <f19.skynet.tld>.
[    0.814210] systemd[1]: Expecting device dev-disk-by\x2duuid-d6c2e53c\x2d6acc\x2d4449\x2db499\x2d7234582724b7.device...
         Expecting device dev-disk-by\x2duuid-d6c2e53c\x2d6ac...724b7.device...
[    0.820396] systemd[1]: Expecting device dev-disk-by\x2duuid-541dd946\x2d0d07\x2d41bc\x2d8ec8\x2de459b07efbff.device...
         Expecting device dev-disk-by\x2duuid-541dd946\x2d0d0...efbff.device...
[    0.827714] systemd[1]: Expecting device dev-disk-by\x2duuid-881db1dc\x2defc2\x2d43bb\x2d8c83\x2d915e449e9be5.device...
         Expecting device dev-disk-by\x2duuid-881db1dc\x2defc...e9be5.device...
[    0.834034] systemd[1]: Starting Timers.
[  OK  ] Reached target Timers.
[    0.836963] systemd[1]: Reached target Timers.
[    0.838822] systemd[1]: Starting Journal Socket.
[  OK  ] Listening on Journal Socket.
[    0.841933] systemd[1]: Listening on Journal Socket.
[    0.844319] systemd[1]: Started dracut cmdline hook.
[    0.846151] systemd[1]: Starting dracut pre-udev hook...
         Starting dracut pre-udev hook...
[    0.850386] systemd[1]: Starting Journal Service...
         Starting Journal Service...
[  OK  ] Started Journal Service.
[    0.860894] systemd[1]: Started Journal Service.
[    0.866251] systemd[1]: Starting udev Kernel Socket.
[  OK  ] Listening on udev Kernel Socket.
[    0.870589] systemd[1]: Listening on udev Kernel Socket.
[    0.872745] systemd[1]: Starting udev Control Socket.
[  OK  ] Listening on udev Control Socket.
[    0.876933] systemd[1]: Listening on udev Control Socket.
[    0.879229] systemd[1]: Starting Sockets.
[  OK  ] Reached target Sockets.
[    0.882726] systemd[1]: Reached target Sockets.
[    0.884601] systemd[1]: Started Load Kernel Modules.
[    0.886567] systemd[1]: Starting Setup Virtual Console...
         Starting Setup Virtual Console...
[    0.890953] systemd[1]: Starting Swap.
[  OK  ] Reached target Swap.
[    0.896159] systemd[1]: Reached target Swap.
[    0.896179] systemd[1]: Starting Local File Systems.
[    0.962058] usb 1-1: new full-speed USB device number 2 using uhci_hcd
[  OK  ] Reached target Local File Systems.
[    0.993785] systemd[1]: Reached target Local File Systems.
[  OK  ] Started dracut pre-udev hook.
[    0.998862] systemd[1]: Started dracut pre-udev hook.
[  OK  ] Started Setup Virtual Console.
[    1.003237] systemd[1]: Started Setup Virtual Console.
[    1.005437] systemd[1]: Starting udev Kernel Device Manager...
         Starting udev Kernel Device Manager...
[    1.011737] systemd-udevd[75]: starting version 204
[  OK  ] Started udev Kernel Device Manager.
         Starting udev Coldplug all Devices...
[  OK  ] Started udev Coldplug all Devices.
         Starting dracut initqueue hook...
         Starting Show Plymouth Boot Screen...
[  OK  ] Reached target System Initialization.
[    1.058041] [drm] Initialized drm 1.1.0 20060810
[    1.066350] sym0: <895a> rev 0x0 at pci 0000:00:08.0 irq 11
[    1.068932]  vda: vda1 vda2 vda3
[    1.071820] sym0: No NVRAM, ID 7, Fast-40, LVD, parity checking
[    1.075027] sym0: SCSI BUS has been reset.
[    1.088320] scsi2 : sym-2.2.3
[    1.089733] [drm:qxl_pci_probe] *ERROR* qxl too old, doesn't support client_monitors_config, use xf86-video-qxl in user mode[    1.095111] sym0: unknown interrupt(s) ignored, ISTAT=0x1 DSTAT=0x80 SIST=0x0

[    1.098912] qxl: probe of 0000:00:02.0 failed with error -22
[    1.102963] wmi: Mapper loaded
[    1.120497] nouveau  [  DEVICE][0000:00:09.0] BOOT0  : 0x04b200b1
[    1.122768] nouveau  [  DEVICE][0000:00:09.0] Chipset: G73 (NV4B)
[    1.125163] nouveau  [  DEVICE][0000:00:09.0] Family : NV40
[    1.127982] nouveau  [   VBIOS][0000:00:09.0] checking PRAMIN for image...
[    1.128557] usb 1-1: New USB device found, idVendor=0627, idProduct=0001
[    1.128558] usb 1-1: New USB device strings: Mfr=1, Product=3, SerialNumber=5
[    1.128559] usb 1-1: Product: QEMU USB Tablet
[    1.128560] usb 1-1: Manufacturer: QEMU
[    1.128561] usb 1-1: SerialNumber: 42
[    1.139325] nouveau  [   VBIOS][0000:00:09.0] ... signature not found
[    1.142357] nouveau  [   VBIOS][0000:00:09.0] checking PROM for image...
[    1.147948] input: QEMU QEMU USB Tablet as /devices/pci0000:00/0000:00:01.2/usb1/1-1/1-1:1.0/input/input2
[    1.153460] hid-generic 0003:0627:0001.0001: input,hidraw0: USB HID v0.01 Pointer [QEMU QEMU USB Tablet] on usb-0000:00:01.2-1/input0
[    1.261064] usb 1-2: new full-speed USB device number 3 using uhci_hcd
[    1.460243] usb 1-2: New USB device found, idVendor=0409, idProduct=55aa
[    1.462815] usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[    1.465191] usb 1-2: Product: QEMU USB Hub
[    1.467298] usb 1-2: Manufacturer: QEMU
[    1.468729] usb 1-2: SerialNumber: 314159-0000:01.2-2
[    1.473304] hub 1-2:1.0: USB hub found
[    1.475445] hub 1-2:1.0: 8 ports detected
[    1.534262] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input3
[    1.581581] nouveau  [   VBIOS][0000:00:09.0] ... appears to be valid
[    1.583919] nouveau  [   VBIOS][0000:00:09.0] using image from PROM
[    1.586451] nouveau  [   VBIOS][0000:00:09.0] BIT signature found
[    1.588795] nouveau  [   VBIOS][0000:00:09.0] version 05.73.22.50.02
[    1.591523] tsc: Refined TSC clocksource calibration: 3392.395 MHz
[    1.596538] BUG: unable to handle kernel [    1.596564] nouveau D[     PMC][0000:00:09.0] created
[    1.596565] nouveau T[     PMC][0000:00:09.0] use(+1) == 1
[    1.596566] nouveau T[     PMC][0000:00:09.0] initialising...
[    1.596567] nouveau T[  DEVICE][0000:00:09.0] use(+1) == 2
[    1.596568] nouveau T[     PMC][0000:00:09.0] resetting...
[    1.596569] nouveau D[     PMC][0000:00:09.0] reset
[    1.596569] nouveau D[     PMC][0000:00:09.0] initialised
[    1.596571] nouveau T[  DEVICE][0000:00:09.0] inc() == 10
[    1.596572] nouveau D[    PBUS][0000:00:09.0] created
[    1.596573] nouveau T[    PBUS][0000:00:09.0] use(+1) == 1
[    1.596574] nouveau T[    PBUS][0000:00:09.0] initialising...
[    1.596575] nouveau T[  DEVICE][0000:00:09.0] use(+1) == 2
[    1.596576] nouveau T[    PBUS][0000:00:09.0] resetting...
[    1.596576] nouveau D[    PBUS][0000:00:09.0] reset
[    1.596577] nouveau D[    PBUS][0000:00:09.0] initialised
[    1.596579] nouveau T[  DEVICE][0000:00:09.0] inc() == 11
[    1.596580] nouveau D[  PTIMER][0000:00:09.0] created
[    1.596581] nouveau T[  PTIMER][0000:00:09.0] use(+1) == 1
[    1.596581] nouveau T[  PTIMER][0000:00:09.0] initialising...
[    1.596582] nouveau T[  DEVICE][0000:00:09.0] use(+1) == 2
[    1.596583] nouveau T[  PTIMER][0000:00:09.0] resetting...
[    1.596591] nouveau D[  PTIMER][0000:00:09.0] reset
[    1.596592] nouveau D[  PTIMER][0000:00:09.0] input frequency : 27000Hz
[    1.596592] nouveau D[  PTIMER][0000:00:09.0] input multiplier: 3
[    1.596593] nouveau D[  PTIMER][0000:00:09.0] numerator       : 0x00000144
[    1.596594] nouveau D[  PTIMER][0000:00:09.0] denominator     : 0x0000007d
[    1.596594] nouveau D[  PTIMER][0000:00:09.0] timer frequency : 31250Hz
[    1.596595] nouveau D[  PTIMER][0000:00:09.0] initialised
[    1.596596] nouveau T[  DEVICE][0000:00:09.0] inc() == 12
[    1.596603] nouveau  [     PFB][0000:00:09.0] RAM type: DDR2
[    1.596603] nouveau  [     PFB][0000:00:09.0] RAM size: 256 MiB
[    1.596604] nouveau  [     PFB][0000:00:09.0]    ZCOMP: 379904 tags
[    1.596604] nouveau D[     PFB][0000:00:09.0] created
[    1.596605] nouveau T[     PFB][0000:00:09.0] use(+1) == 1
[    1.596606] nouveau T[     PFB][0000:00:09.0] initialising...
[    1.596606] nouveau T[  DEVICE][0000:00:09.0] use(+1) == 2
[    1.596607] nouveau T[     PFB][0000:00:09.0] resetting...
[    1.596607] nouveau D[     PFB][0000:00:09.0] reset
[    1.596636] nouveau D[     PFB][0000:00:09.0] initialised
[    1.596637] nouveau T[  DEVICE][0000:00:09.0] inc() == 13
[    1.597621] nouveau T[ INSTMEM][0000:00:09.0] inc() == 2
[    1.597622] nouveau T[ INSTMEM][0000:00:09.0] inc() == 3
[    1.597624] nouveau D[ INSTMEM][0000:00:09.0][0x04000000][ffff88007a1fbf60] created
[    1.597626] nouveau T[ INSTMEM][0000:00:09.0][0x04000000][ffff88007a1fbf60] inc() == 2
[    1.597627] nouveau T[ INSTMEM][0000:00:09.0] inc() == 4
[    1.597628] nouveau T[ INSTMEM][0000:00:09.0][0x04000000][ffff88007a1fbf60] dec() == 1
[    1.597630] nouveau D[ INSTMEM][0000:00:09.0][0x02000000][ffff880079dd8e40] created
[    1.597631] nouveau T[ INSTMEM][0000:00:09.0] inc() == 5
[    1.597632] nouveau T[ INSTMEM][0000:00:09.0] inc() == 6
[    1.597633] nouveau D[ INSTMEM][0000:00:09.0][0x04000000][ffff8800372048a0] created
[    1.597635] nouveau T[ INSTMEM][0000:00:09.0][0x04000000][ffff8800372048a0] inc() == 2
[    1.597636] nouveau T[ INSTMEM][0000:00:09.0] inc() == 7
[    1.597637] nouveau T[ INSTMEM][0000:00:09.0][0x04000000][ffff8800372048a0] dec() == 1
[    1.597981] nouveau T[ INSTMEM][0000:00:09.0] inc() == 8
[    1.597982] nouveau T[ INSTMEM][0000:00:09.0] inc() == 9
[    1.597983] nouveau D[ INSTMEM][0000:00:09.0][0x04000000][ffff880037204de0] created
[    1.597984] nouveau T[ INSTMEM][0000:00:09.0][0x04000000][ffff880037204de0] inc() == 2
[    1.597985] nouveau T[ INSTMEM][0000:00:09.0] inc() == 10
[    1.597985] nouveau T[ INSTMEM][0000:00:09.0][0x04000000][ffff880037204de0] dec() == 1
[    1.597986] nouveau D[ INSTMEM][0000:00:09.0][0x02000000][ffff88007a1c3d80] created
[    1.597989] nouveau T[ INSTMEM][0000:00:09.0] inc() == 11
[    1.597990] nouveau T[ INSTMEM][0000:00:09.0] inc() == 12
[    1.597990] nouveau D[ INSTMEM][0000:00:09.0][0x04000000][ffff880079ddf000] created
[    1.597992] nouveau T[ INSTMEM][0000:00:09.0][0x04000000][ffff880079ddf000] inc() == 2
[    1.597993] nouveau T[ INSTMEM][0000:00:09.0] inc() == 13
[    1.597993] nouveau T[ INSTMEM][0000:00:09.0][0x04000000][ffff880079ddf000] dec() == 1
[    1.599508] nouveau D[ INSTMEM][0000:00:09.0][0x02000000][ffff880079dde000] created
[    1.599509] nouveau D[ INSTMEM][0000:00:09.0] created
[    1.599510] nouveau T[ INSTMEM][0000:00:09.0] use(+1) == 1
[    1.599511] nouveau T[ INSTMEM][0000:00:09.0] initialising...
[    1.599512] nouveau T[  DEVICE][0000:00:09.0] use(+1) == 2
[    1.599513] nouveau T[ INSTMEM][0000:00:09.0] resetting...
[    1.599515] nouveau D[ INSTMEM][0000:00:09.0] reset
[    1.599516] nouveau D[ INSTMEM][0000:00:09.0] initialised
[    1.599979] nouveau T[  DEVICE][0000:00:09.0] inc() == 14
[    1.599986] nouveau T[PCIEGART][0000:00:09.0] inc() == 2
[    1.599987] nouveau T[ INSTMEM][0000:00:09.0] inc() == 2
[    1.599988] nouveau D[ INSTMEM][0000:00:09.0][0x04000000][ffff880079ddf060] created
[    1.599989] nouveau T[ INSTMEM][0000:00:09.0][0x04000000][ffff880079ddf060] inc() == 2
[    1.599990] nouveau T[PCIEGART][0000:00:09.0] inc() == 3
[    1.599990] nouveau T[ INSTMEM][0000:00:09.0][0x04000000][ffff880079ddf060] dec() == 1
[    1.605889] nouveau D[PCIEGART][0000:00:09.0][0x02000000][ffff880079dde0c0] created
[    1.605890] nouveau D[PCIEGART][0000:00:09.0] created
[    1.605891] nouveau T[PCIEGART][0000:00:09.0] use(+1) == 1
[    1.605891] nouveau T[PCIEGART][0000:00:09.0] initialising...
[    1.605892] nouveau T[  DEVICE][0000:00:09.0] use(+1) == 2
[    1.605893] nouveau T[PCIEGART][0000:00:09.0] resetting...
[    1.605893] nouveau D[PCIEGART][0000:00:09.0] reset
[    1.605895] nouveau D[PCIEGART][0000:00:09.0] initialised
[    1.605913] nouveau T[  DEVICE][0000:00:09.0] inc() == 15
[    1.605919] nouveau D[     I2C][0000:00:09.0] probing monitoring devices on bus: 2
[    1.627715] nouveau D[     I2C][0000:00:09.0] no devices found.
[    1.627719] nouveau  [  PTHERM][0000:00:09.0] FAN control: none / external
[    1.627723] nouveau  [  PTHERM][0000:00:09.0] fan management: disabled
[    1.627725] nouveau  [  PTHERM][0000:00:09.0] internal sensor: yes
[    1.627726] nouveau D[  PTHERM][0000:00:09.0] created
[    1.627727] nouveau T[  PTHERM][0000:00:09.0] use(+1) == 1
[    1.627727] nouveau T[  PTHERM][0000:00:09.0] initialising...
[    1.627728] nouveau T[  DEVICE][0000:00:09.0] use(+1) == 2
[    1.648089] nouveau T[  PTHERM][0000:00:09.0] resetting...
[    1.648090] nouveau D[  PTHERM][0000:00:09.0] reset
[    1.648092] nouveau D[  PTHERM][0000:00:09.0] programmed thresholds [ 110(2), 95(3), 125(2), 135(5) ]
[    1.648099] nouveau D[  PTHERM][0000:00:09.0] initialised
[    1.648113] nouveau T[  DEVICE][0000:00:09.0] inc() == 16
[    1.648116] nouveau D[  DMAOBJ][0000:00:09.0] created
[    1.648116] nouveau T[  DMAOBJ][0000:00:09.0] resetting...
[    1.648117] nouveau D[  DMAOBJ][0000:00:09.0] reset
[    1.648118] nouveau T[  DEVICE][0000:00:09.0] inc() == 17
[    1.648121] nouveau T[ INSTMEM][0000:00:09.0][0x0200abcd][ffff880079dd8f00] inc() == 2
[    1.648122] nouveau T[ INSTMEM][0000:00:09.0][0x02000000][ffff88007a1c3d80] inc() == 2
[    1.648123] nouveau T[ INSTMEM][0000:00:09.0][0x02000000][ffff880079dde000] inc() == 2
[    1.648124] nouveau D[   PFIFO][0000:00:09.0] created
[    1.648124] nouveau T[   PFIFO][0000:00:09.0] resetting...
[    1.648126] nouveau D[   PFIFO][0000:00:09.0] reset
[    1.648127] nouveau T[  DEVICE][0000:00:09.0] inc() == 18
[    1.648128] nouveau D[      SW][0000:00:09.0] created
[    1.648128] nouveau T[      SW][0000:00:09.0] resetting...
[    1.648129] nouveau D[      SW][0000:00:09.0] reset
[    1.648130] nouveau T[  DEVICE][0000:00:09.0] inc() == 19
[    1.648131] nouveau D[  PGRAPH][0000:00:09.0] created
[    1.648131] nouveau T[  PGRAPH][0000:00:09.0] resetting...
[    1.648132] nouveau D[  PGRAPH][0000:00:09.0] reset
[    1.648133] nouveau T[  DEVICE][0000:00:09.0] inc() == 20
[    1.648134] nouveau D[   PMPEG][0000:00:09.0] created
[    1.648134] nouveau T[   PMPEG][0000:00:09.0] resetting...
[    1.648136] nouveau D[   PMPEG][0000:00:09.0] reset
[    1.648137] nouveau T[  DEVICE][0000:00:09.0] inc() == 21
[    1.648138] nouveau D[ DISPLAY][0000:00:09.0] created
[    1.648138] nouveau T[ DISPLAY][0000:00:09.0] resetting...
[    1.648139] nouveau D[ DISPLAY][0000:00:09.0] reset
[    1.648140] nouveau D[  DEVICE][0000:00:09.0][0x80000080][ffff88007a13a600] created
[    1.648141] nouveau T[  DEVICE][0000:00:09.0][0x80000080][ffff88007a13a600] use(+1) == 1
[    1.648141] nouveau T[  DEVICE][0000:00:09.0][0x80000080][ffff88007a13a600] initialising...
[    1.648142] nouveau T[     DRM] use(+1) == 3
[    1.648143] nouveau T[  DEVICE][0000:00:09.0] use(+1) == 2
[    1.648144] nouveau D[  DEVICE][0000:00:09.0][0x80000080][ffff88007a13a600] initialised
[    1.648145] nouveau T[  DEVICE][0000:00:09.0][0x80000080][ffff88007a13a600] inc() == 2
[    1.648147] nouveau T[     DRM] 0xffffffff:0xdddddddd created
[    1.648147] nouveau T[     DRM] 0xffffffff:0xdddddddd init running
[    1.648148] nouveau T[  DEVICE][0000:00:09.0][0x80000080][ffff88007a13a600] use(+1) == 2
[    1.648149] nouveau T[     DRM] 0xffffffff:0xdddddddd init children
[    1.648150] nouveau T[     DRM] 0xffffffff:0xdddddddd init completed
[    1.648150] nouveau T[  DEVICE][0000:00:09.0][0x80000080][ffff88007a13a600] use(-1) == 1
[    1.648151] nouveau T[  DEVICE][0000:00:09.0][0x80000080][ffff88007a13a600] dec() == 1
[    1.648152] nouveau T[     DRM] dec() == 4
[    1.648152] nouveau T[  DEVICE][0000:00:09.0] use(-1) == 1
[    1.648153] nouveau T[     DRM] dec() == 3
[    1.648645] [TTM] Zone  kernel: Available graphics memory: 1023788 kiB
[    1.648645] [TTM] Initializing pool allocator
[    1.648649] [TTM] Initializing DMA pool allocator
NULL pointer dereference at           (null)
[    1.648675] IP: [<ffffffffa00ecb7e>] nouveau_mc_intr+0x2e/0xf0 [nouveau]
[    1.648675] PGD 0 
[    1.648675] Oops: 0000 [#1] SMP 
[    1.648675] Modules linked in: nouveau(+) video mxm_wmi wmi i2c_algo_bit qxl sym53c8xx drm_kms_helper scsi_transport_spi ttm virtio_blk drm i2c_core
[    1.648675] CPU: 0 PID: 54 Comm: systemd-journal Not tainted 3.10.7-200.fc19.x86_64 #1
[    1.648675] Hardware name: Bochs Bochs, BIOS Bochs 01/01/2011
[    1.648675] task: ffff8800372e8000 ti: ffff8800372e4000 task.ti: ffff8800372e4000
[    1.648675] RIP: 0010:[<ffffffffa00ecb7e>]  [<ffffffffa00ecb7e>] nouveau_mc_intr+0x2e/0xf0 [nouveau]
[    1.648675] RSP: 0000:ffff88007f803e98  EFLAGS: 00010006
[    1.648675] RAX: 0000000000100000 RBX: 0000000000000000 RCX: 00000000fffffffa
[    1.648675] RDX: 000000000000000a RSI: ffff880037391c00 RDI: ffffc90000580100
[    1.648675] RBP: ffff88007f803eb8 R08: ffff88007cc08a00 R09: ffff88007c800000
[    1.648675] R10: 000000000000000c R11: 0000000000000000 R12: ffff880037391c00
[    1.648675] R13: 0000000000100000 R14: 0000000000000000 R15: 00007f0f3111b5f0
[    1.648675] FS:  00007f0f30072840(0000) GS:ffff88007f800000(0000) knlGS:0000000000000000
[    1.648675] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[    1.648675] CR2: 0000000000000000 CR3: 000000003731d000 CR4: 00000000000006f0
[    1.648675] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[    1.648675] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[    1.648675] Stack:
[    1.648675]  ffff880037391c80 000000000000000a 000000000000000a 0000000000000000
[    1.648675]  ffff88007f803f00 ffffffff810e8e5e ffff88007cc08a00 000000007f803ee0
[    1.648675]  ffff88007cc08a00 ffff88007cc08a8c 000000000000000a 0000000000000000
[    1.648675] Call Trace:
[    1.648675]  <IRQ> 
[    1.648675]  [<ffffffff810e8e5e>] handle_irq_event_percpu+0x3e/0x1e0
[    1.648675]  [<ffffffff810e9036>] handle_irq_event+0x36/0x60
[    1.648675]  [<ffffffff810ec045>] handle_fasteoi_irq+0x55/0xf0
[    1.648675]  [<ffffffff8101326f>] handle_irq+0xbf/0x150
[    1.648675]  [<ffffffff81064b6f>] ? irq_enter+0x4f/0x90
[    1.648675]  [<ffffffff816493cd>] do_IRQ+0x4d/0xc0
[    1.648675]  [<ffffffff8163f42d>] common_interrupt+0x6d/0x6d
[    1.648675]  <EOI> 
[    1.648675]  [<ffffffff81647719>] ? system_call_fastpath+0x16/0x1b
[    1.648675] Code: 00 00 55 48 89 e5 41 56 41 55 41 54 49 89 f4 53 48 8b 46 50 48 8b 5e 68 48 8d b8 00 01 00 00 e8 f9 c7 20 e1 85 c0 41 89 c5 74 7e <8b> 13 41 89 c6 85 d2 0f 84 85 00 00 00 0f 1f 44 00 00 44 85 ea 
[    1.648675] RIP  [<ffffffffa00ecb7e>] nouveau_mc_intr+0x2e/0xf0 [nouveau]
[    1.648675]  RSP <ffff88007f803e98>
[    1.648675] CR2: 0000000000000000
[    1.648675] ---[ end trace 3fa0a6cb5d1d380b ]---
[    1.648675] Kernel panic - not syncing: Fatal exception in interrupt


Expected results:
Virtual machine should not freeze.


Additional info:
The IOMMU group to which the video card belongs, contains 2 devices:
 - 0000:00:01.0 (PCI Express Root Port) and 
 - 0000:01:00.0 (video card).
Only the video card is assigned to the virtual machine.

[root@hermes ~]# virsh dumpxml f19
<domain type='kvm' id='15'>
  <name>f19</name>
  <uuid>f61ac37c-3d12-04cb-c16e-bc229a098200</uuid>
  <memory unit='KiB'>2097152</memory>
  <currentMemory unit='KiB'>1048576</currentMemory>
  <vcpu placement='static'>2</vcpu>
  <resource>
    <partition>/machine</partition>
  </resource>
  <os>
    <type arch='x86_64' machine='pc-1.2'>hvm</type>
    <boot dev='hd'/>
  </os>
  <features>
    <acpi/>
    <apic/>
    <pae/>
  </features>
  <clock offset='utc'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>restart</on_crash>
  <devices>
    <emulator>/usr/bin/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <driver name='qemu' type='qcow2' cache='writethrough'/>
      <source file='/var/lib/libvirt/images/ram/f19.qcow2.img'/>
      <target dev='vda' bus='virtio'/>
      <alias name='virtio-disk0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x0'/>
    </disk>
    <disk type='file' device='cdrom'>
      <driver name='qemu' type='raw' cache='none'/>
      <source file='/mnt/extra/Software/Linux/Fedora/Fedora-19-x86_64-DVD/Fedora-19-x86_64-DVD.iso'/>
      <target dev='sda' bus='scsi'/>
      <readonly/>
      <alias name='scsi0-0-0'/>
      <address type='drive' controller='0' bus='0' target='0' unit='0'/>
    </disk>
    <controller type='usb' index='0'>
      <alias name='usb0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x2'/>
    </controller>
    <controller type='ide' index='0'>
      <alias name='ide0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x1'/>
    </controller>
    <controller type='virtio-serial' index='0'>
      <alias name='virtio-serial0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x0'/>
    </controller>
    <controller type='pci' index='0' model='pci-root'>
      <alias name='pci0'/>
    </controller>
    <controller type='scsi' index='0'>
      <alias name='scsi0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x08' function='0x0'/>
    </controller>
    <interface type='network'>
      <mac address='52:54:00:24:61:4a'/>
      <source network='skynet'/>
      <target dev='vnet0'/>
      <model type='virtio'/>
      <alias name='net0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>
    <serial type='pty'>
      <source path='/dev/pts/9'/>
      <target port='0'/>
      <alias name='serial0'/>
    </serial>
    <console type='pty' tty='/dev/pts/9'>
      <source path='/dev/pts/9'/>
      <target type='serial' port='0'/>
      <alias name='serial0'/>
    </console>
    <channel type='spicevmc'>
      <target type='virtio' name='com.redhat.spice.0'/>
      <alias name='channel0'/>
      <address type='virtio-serial' controller='0' bus='0' port='1'/>
    </channel>
    <input type='tablet' bus='usb'>
      <alias name='input0'/>
    </input>
    <input type='mouse' bus='ps2'/>
    <graphics type='spice' port='5900' autoport='yes' listen='127.0.0.1'>
      <listen type='address' address='127.0.0.1'/>
    </graphics>
    <sound model='ich6'>
      <alias name='sound0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </sound>
    <video>
      <model type='qxl' ram='65536' vram='65536' heads='1'/>
      <alias name='video0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
    <hostdev mode='subsystem' type='pci' managed='no'>
      <driver name='vfio'/>
      <source>
        <address domain='0x0000' bus='0x01' slot='0x00' function='0x0'/>
      </source>
      <alias name='hostdev0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x09' function='0x0'/>
    </hostdev>
    <hostdev mode='subsystem' type='usb' managed='yes'>
      <source>
        <vendor id='0x045e'/>
        <product id='0x00f6'/>
        <address bus='1' device='5'/>
      </source>
      <alias name='hostdev1'/>
    </hostdev>
    <memballoon model='virtio'>
      <alias name='balloon0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
    </memballoon>
  </devices>
  <seclabel type='dynamic' model='selinux' relabel='yes'>
    <label>system_u:system_r:svirt_t:s0:c323,c581</label>
    <imagelabel>system_u:object_r:svirt_image_t:s0:c323,c581</imagelabel>
  </seclabel>
</domain>


[root@hermes ~]# lspci -v
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor DRAM Controller (rev 09)
	Subsystem: Intel Corporation Device 2040
	Flags: bus master, fast devsel, latency 0
	Capabilities: [e0] Vendor Specific Information: Len=0c <?>

00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port (rev 09) (prog-if 00 [Normal decode])
	Flags: fast devsel
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: f5000000-f70fffff
	Prefetchable memory behind bridge: 00000000e0000000-00000000efffffff
	Capabilities: [88] Subsystem: Intel Corporation Device 2040
	Capabilities: [80] Power Management version 3
	Capabilities: [90] MSI: Enable- Count=1/1 Maskable- 64bit-
	Capabilities: [a0] Express Root Port (Slot+), MSI 00
	Capabilities: [100] Virtual Channel
	Capabilities: [140] Root Complex Link
	Capabilities: [d94] #19
	Kernel driver in use: vfio-pci

00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Intel Corporation Device 2040
	Flags: bus master, fast devsel, latency 0, IRQ 59
	Memory at f7400000 (64-bit, non-prefetchable) [size=4M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at f000 [size=64]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Capabilities: [a4] PCI Advanced Features
	Kernel driver in use: i915

00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04) (prog-if 30 [XHCI])
	Subsystem: Intel Corporation Device 2040
	Flags: bus master, medium devsel, latency 0, IRQ 47
	Memory at f7a20000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: [70] Power Management version 2
	Capabilities: [80] MSI: Enable+ Count=1/8 Maskable- 64bit+
	Kernel driver in use: xhci_hcd

00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
	Subsystem: Intel Corporation Device 2040
	Flags: bus master, fast devsel, latency 0, IRQ 56
	Memory at f7a3b000 (64-bit, non-prefetchable) [size=16]
	Capabilities: [50] Power Management version 3
	Capabilities: [8c] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Kernel driver in use: mei_me

00:19.0 Ethernet controller: Intel Corporation 82579V Gigabit Network Connection (rev 04)
	Subsystem: Intel Corporation Device 2040
	Flags: bus master, fast devsel, latency 0, IRQ 57
	Memory at f7a00000 (32-bit, non-prefetchable) [size=128K]
	Memory at f7a39000 (32-bit, non-prefetchable) [size=4K]
	I/O ports at f080 [size=32]
	Capabilities: [c8] Power Management version 2
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [e0] PCI Advanced Features
	Kernel driver in use: e1000e

00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04) (prog-if 20 [EHCI])
	Subsystem: Intel Corporation Device 2040
	Flags: bus master, medium devsel, latency 0, IRQ 16
	Memory at f7a38000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Capabilities: [98] PCI Advanced Features
	Kernel driver in use: ehci-pci

00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
	Subsystem: Intel Corporation Device 2040
	Flags: fast devsel, IRQ 22
	Memory at f7a30000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
	Capabilities: [60] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [100] Virtual Channel
	Capabilities: [130] Root Complex Link
	Kernel driver in use: vfio-pci

00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	Capabilities: [40] Express Root Port (Slot+), MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [90] Subsystem: Intel Corporation Device 2040
	Capabilities: [a0] Power Management version 2
	Kernel driver in use: pcieport

00:1c.2 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 3 (rev c4) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=03, subordinate=04, sec-latency=0
	Capabilities: [40] Express Root Port (Slot+), MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [90] Subsystem: Intel Corporation Device 2040
	Capabilities: [a0] Power Management version 2
	Kernel driver in use: pcieport

00:1c.4 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 5 (rev c4) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	Memory behind bridge: f7900000-f79fffff
	Capabilities: [40] Express Root Port (Slot+), MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [90] Subsystem: Intel Corporation Device 2040
	Capabilities: [a0] Power Management version 2
	Kernel driver in use: pcieport

00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04) (prog-if 20 [EHCI])
	Subsystem: Intel Corporation Device 2040
	Flags: bus master, medium devsel, latency 0, IRQ 23
	Memory at f7a37000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Capabilities: [98] PCI Advanced Features
	Kernel driver in use: ehci-pci

00:1f.0 ISA bridge: Intel Corporation Z77 Express Chipset LPC Controller (rev 04)
	Subsystem: Intel Corporation Device 2040
	Flags: bus master, medium devsel, latency 0
	Capabilities: [e0] Vendor Specific Information: Len=0c <?>
	Kernel driver in use: lpc_ich

00:1f.2 SATA controller: Intel Corporation 7 Series/C210 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04) (prog-if 01 [AHCI 1.0])
	Subsystem: Intel Corporation Device 2040
	Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 46
	I/O ports at f0d0 [size=8]
	I/O ports at f0c0 [size=4]
	I/O ports at f0b0 [size=8]
	I/O ports at f0a0 [size=4]
	I/O ports at f060 [size=32]
	Memory at f7a36000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [70] Power Management version 3
	Capabilities: [a8] SATA HBA v1.0
	Capabilities: [b0] PCI Advanced Features
	Kernel driver in use: ahci

00:1f.3 SMBus: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller (rev 04)
	Subsystem: Intel Corporation Device 2040
	Flags: medium devsel, IRQ 18
	Memory at f7a35000 (64-bit, non-prefetchable) [size=256]
	I/O ports at f040 [size=32]

01:00.0 VGA compatible controller: NVIDIA Corporation G73 [GeForce 7600 GS] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Gigabyte Technology Co., Ltd Device 341a
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at f6000000 (32-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Memory at f5000000 (64-bit, non-prefetchable) [size=16M]
	I/O ports at e000 [size=128]
	Expansion ROM at f7000000 [size=128K]
	Capabilities: [60] Power Management version 2
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [78] Express Endpoint, MSI 00
	Capabilities: [100] Virtual Channel
	Capabilities: [128] Power Budgeting <?>
	Kernel driver in use: vfio-pci

03:00.0 PCI bridge: Integrated Technology Express, Inc. Device 8892 (rev 30) (prog-if 01 [Subtractive decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=03, secondary=04, subordinate=04, sec-latency=32
	Capabilities: [90] Power Management version 2
	Capabilities: [a0] Subsystem: Intel Corporation Device 2040

05:00.0 USB controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 04) (prog-if 30 [XHCI])
	Subsystem: Intel Corporation Device 2040
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at f7900000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: [50] Power Management version 3
	Capabilities: [70] MSI: Enable- Count=1/8 Maskable- 64bit+
	Capabilities: [90] MSI-X: Enable+ Count=8 Masked-
	Capabilities: [a0] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Device Serial Number ff-ff-ff-ff-ff-ff-ff-ff
	Capabilities: [150] Latency Tolerance Reporting
	Kernel driver in use: xhci_hcd
Comment 1 Cristian Ciupitu 2013-08-21 23:28:29 EDT
Today I was able to boot kernel 3.10.7-200.fc19.x86_64 on the virtual
machine, while the host was running 3.10.7-200.fc19.x86_64 (notice the
missing debug).
Comment 2 Josh Boyer 2013-09-18 16:26:40 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Josh Boyer 2013-10-08 12:13:06 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.